/**
 */
package de.uks.se2.tfd;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Flow Node</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link de.uks.se2.tfd.FlowNode#getSourceFlows <em>Source Flows</em>}</li>
 *   <li>{@link de.uks.se2.tfd.FlowNode#getTargetFlows <em>Target Flows</em>}</li>
 *   <li>{@link de.uks.se2.tfd.FlowNode#getLane <em>Lane</em>}</li>
 * </ul>
 * </p>
 *
 * @see de.uks.se2.tfd.TfdPackage#getFlowNode()
 * @model abstract="true"
 * @generated
 */
public interface FlowNode extends Node
{
  /**
   * Returns the value of the '<em><b>Source Flows</b></em>' reference list.
   * The list contents are of type {@link de.uks.se2.tfd.Flow}.
   * It is bidirectional and its opposite is '{@link de.uks.se2.tfd.Flow#getSource <em>Source</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Source Flows</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Source Flows</em>' reference list.
   * @see de.uks.se2.tfd.TfdPackage#getFlowNode_SourceFlows()
   * @see de.uks.se2.tfd.Flow#getSource
   * @model opposite="source" ordered="false"
   * @generated
   */
  EList<Flow> getSourceFlows();

  /**
   * Returns the value of the '<em><b>Target Flows</b></em>' reference list.
   * The list contents are of type {@link de.uks.se2.tfd.Flow}.
   * It is bidirectional and its opposite is '{@link de.uks.se2.tfd.Flow#getTarget <em>Target</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Target Flows</em>' reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Target Flows</em>' reference list.
   * @see de.uks.se2.tfd.TfdPackage#getFlowNode_TargetFlows()
   * @see de.uks.se2.tfd.Flow#getTarget
   * @model opposite="target" ordered="false"
   * @generated
   */
  EList<Flow> getTargetFlows();

  /**
   * Returns the value of the '<em><b>Lane</b></em>' container reference.
   * It is bidirectional and its opposite is '{@link de.uks.se2.tfd.Lane#getFlowNodes <em>Flow Nodes</em>}'.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Lane</em>' container reference isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Lane</em>' container reference.
   * @see #setLane(Lane)
   * @see de.uks.se2.tfd.TfdPackage#getFlowNode_Lane()
   * @see de.uks.se2.tfd.Lane#getFlowNodes
   * @model opposite="flowNodes" transient="false" ordered="false"
   * @generated
   */
  Lane getLane();

  /**
   * Sets the value of the '{@link de.uks.se2.tfd.FlowNode#getLane <em>Lane</em>}' container reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Lane</em>' container reference.
   * @see #getLane()
   * @generated
   */
  void setLane(Lane value);

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @model
   * @generated
   */
  void removeYou();

} // FlowNode
